<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
   <parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.7.5</version>
   </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>cn.sam</groupId>
  <artifactId>SamService</artifactId>
  <version>1.0-SNAPSHOT</version>
  <packaging>pom</packaging>

  <modules>
		<module>SamLims-common</module>
		<module>SamLims-facade</module>
		<module>SamLims-security</module>
		<module>SamLims-web</module>
		<module>SamLims-report</module>
		<module>SamLims-schedule</module>
		<module>SamLims-orm</module>
		<module>SamLims-monitor</module>
		<module>SamLims-logger</module>
	    <module>SamLims-cloud</module>
  </modules>

  <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>17</java.version>
		<java.encoding>UTF-8</java.encoding>
		<spring-boot.version>2.7.5</spring-boot.version>

	    <mysql.version>8.0.31</mysql.version>
		<!-- 多模块使用 <scope>provided</scope> -->
		<commons-text.version>1.9</commons-text.version>
		<ant.version>1.10.12</ant.version>
		<quartz.version>2.3.2</quartz.version>
		<cglib.version>3.3.0</cglib.version>
				
		<!-- common -->
		<aspectjweaver.version>1.9.9.1</aspectjweaver.version>
		<commons-io.version>2.11.0</commons-io.version>
		<commons-net.version>3.8.0</commons-net.version>
		<commons-beanutils.version>1.9.4</commons-beanutils.version>
        <commons-fileupload.version>1.4</commons-fileupload.version>
        <fastjson.version>2.0.20</fastjson.version>
	    <guava.version>31.1-jre</guava.version>
        <kaptcha.version>2.3.2</kaptcha.version>
	    <jsoup.version>1.15.1</jsoup.version>
		<poi.version>5.2.2</poi.version>
	    <springfox-boot-starter.version>3.0.0</springfox-boot-starter.version>
		
		<!-- Orm -->
	    <mongo-java-driver.version>3.12.11</mongo-java-driver.version>
	    <nimbus-jose-jwt.version>9.22</nimbus-jose-jwt.version>
		<zt-zip.version>1.15</zt-zip.version>
				
		<!-- report -->
		<commons-csv.version>1.9.0</commons-csv.version>
		<batik.version>1.14</batik.version>
		<commonmark.version>0.18.1</commonmark.version>
		<jodconverter.version>4.4.2</jodconverter.version>
		<itextpdf.version>7.1.10</itextpdf.version>
		<gson-extras.version>0.4.0</gson-extras.version>
		<typetools.version>0.6.3</typetools.version>
				 
	    <!-- security  -->
	    <bcpkix-jdk15.version>1.70</bcpkix-jdk15.version>
	    <jasypt-spring-boot.version>3.0.4</jasypt-spring-boot.version>
	    <truelicense.version>1.33</truelicense.version>
	    <jwt.version>4.2.1</jwt.version>
	    <jjwt.version>0.9.1</jjwt.version>
	     
	    <!-- schedule -->
	    <UserAgentUtils.version>1.21</UserAgentUtils.version>
	    
	    <!-- support -->
	    <commons-compress.version>1.21</commons-compress.version>
	    <oshi.version>6.1.6</oshi.version>
	    <gexin.version>4.1.2.3</gexin.version>  
	    
	    <maven-plugin-api.version>3.8.6</maven-plugin-api.version>	    
	    <maven-plugin-annotations.version>3.7.0</maven-plugin-annotations.version>
	</properties>
	<dependencyManagement>
		<dependencies>
	  		<dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-report</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-common</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-security</artifactId>
				<version>${project.version}</version>
			</dependency>
		   <dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-schedule</artifactId>
				<version>${project.version}</version>
			</dependency>
		     <dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-orm</artifactId>
				<version>${project.version}</version>
			</dependency>
		   	<dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-facade</artifactId>
				<version>${project.version}</version>
			</dependency>	
			<dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-monitor</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-logger</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>cn.sam</groupId>
				<artifactId>SamLims-cloud</artifactId>
				<version>${project.version}</version>
			</dependency>
								
			<!-- 多个模块公共  -->
			<dependency>
		      <groupId>org.apache.commons</groupId>
		      <artifactId>commons-text</artifactId>
		       <version>${commons-text.version}</version>
		   </dependency>
		   <dependency>
				<groupId>org.quartz-scheduler</groupId>
				<artifactId>quartz</artifactId>
				<version>${quartz.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<build>
	    <pluginManagement>
			<plugins>
			  <plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<configuration>
						<source>${java.version}</source>
						<target>${java.version}</target>
						<encoding>${java.encoding}</encoding>
  				    </configuration>
				</plugin>
           </plugins>
		</pluginManagement>
	</build>
	<!--   -->
	<pluginRepositories>
        <pluginRepository>
            <id>jitpack.io</id>
            <url>https://jitpack.io</url>
        </pluginRepository>
        <pluginRepository>
            <id>huaweiCloud</id> 
            <url>https://mirrors.huaweicloud.com/repository/maven/</url>
        </pluginRepository>
    </pluginRepositories>
	<profiles>
		<profile>
			<id>prod</id>
			<properties>
				<props>src/main/filters/prod.properties</props>
			</properties>
		</profile>
		<profile>
			<id>dev</id>
			<properties>
				<props>src/main/filters/dev.properties</props>
			</properties>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
	</profiles>
</project>

